Package com.independentsoft.office.word

# Class ThemeFontLanguage

java.lang.Object
com.independentsoft.office.word.ThemeFontLanguage

public class ThemeFontLanguage extends Object
The Class ThemeFontLanguage.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThemeFontLanguage()`
  Instantiates a new theme font language.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ThemeFontLanguage`
  `clone()`
  `String`
  `getComplexScriptLanguage()`
  Gets the complex script language.
  `String`
  `getEastAsianLanguage()`
  Gets the east asian language.
  `String`
  `getLatinLanguage()`
  Gets the latin language.
  `void`
  `setComplexScriptLanguage​(String complexScriptLanguage)`
  Sets the complex script language.
  `void`
  `setEastAsianLanguage​(String eastAsianLanguage)`
  Sets the east asian language.
  `void`
  `setLatinLanguage​(String latinLanguage)`
  Sets the latin language.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ThemeFontLanguage

    public ThemeFontLanguage()
    Instantiates a new theme font language.

- ## Method Details

  - ### clone

    public ThemeFontLanguage clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getComplexScriptLanguage

    public String getComplexScriptLanguage()
    Gets the complex script language.
    Returns:
      the complex script language

  - ### setComplexScriptLanguage

    public void setComplexScriptLanguage​(String complexScriptLanguage)
    Sets the complex script language.
    Parameters:
      `complexScriptLanguage` - the new complex script language

  - ### getEastAsianLanguage

    public String getEastAsianLanguage()
    Gets the east asian language.
    Returns:
      the east asian language

  - ### setEastAsianLanguage

    public void setEastAsianLanguage​(String eastAsianLanguage)
    Sets the east asian language.
    Parameters:
      `eastAsianLanguage` - the new east asian language

  - ### getLatinLanguage

    public String getLatinLanguage()
    Gets the latin language.
    Returns:
      the latin language

  - ### setLatinLanguage

    public void setLatinLanguage​(String latinLanguage)
    Sets the latin language.
    Parameters:
      `latinLanguage` - the new latin language